Hi, I've upgraded from Python 2.5 to Python 2.7 and I'm getting an ImportError on a few computers when I run the executable. I've tried 7 computers and it works fine on 5 and fails on 2. A build with  Python 2.5 works everywhere including the computers that now give errors. The error message I'm getting is:

Traceback (most recent call last):
  File "main.py", line 76, in <module>
  File "Sim.pyo", line 34, in <module>
  File "MNW_imports.pyo", line 2, in <module>
  File "optimize\op4.pyo", line 12, in <module>
  File "optimize\op4.pyo", line 10, in __load
ImportError: DLL load failed: The specified module could not be found.


The strange thing is that the optimize\op4-module is a pyd-file (generated with f2py) and there is no op4.pyo. But why is it looking for pyo?

This was run with bundle=3, if I run with bundle=1 the error message is slightly different:

 Traceback (most recent call last):
  File "main.py", line 76, in <module>
  File "zipextimporter.pyo", line 82, in load_module
  File "Sim.pyo", line 34, in <module>
  File "zipextimporter.pyo", line 82, in load_module
  File "MNW_imports.pyo", line 2, in <module>
  File "zipextimporter.pyo", line 98, in load_module
ImportError: MemoryLoadLibrary failed loading optimize\op4.pyd



I'm using Python 2.7.2 and py2exe 0.6.9. Other big dependencies are wxPython 2.8.12 and numpy 1.5.0.

Anybody knows what is happening and how to fix it?

Thanks,
Max